Subject: Re: bug#31383: 27.0.50; Feature request: allow customize-changed-options to work with package versions

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 13 Jul 2019 17:02:51 +0200

Aaron Ecay <[email-masked]> writes:

> customize-changed-options displays all the defcustoms whose value has
> changed since a given emacs version.  In the age of ELPA, it is possible
> for a package to change versions without the emacs version changing
> (i.e. when the user downloads new updates from ELPA).  It would be nice
> if customize-changed-options could cope with showing the changed
> defcustoms for that case too.

Hm...  I don't think there's a way to do that, really.  ELPA packages
don't tag to Emacs :versions, I think?  I mean, not usually.  So I'm
closing this as a wontfix, but if anybody disagrees, please reopen.

But running M-x customize-changed-options revealed a bug in a custom
spec, at least, which I think I've fixed now.  :-)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no